Bug 133211 - libxslt-devel should require libgcrypt-devel
libxslt-devel should require libgcrypt-devel
Product: Fedora
Classification: Fedora
Component: libxslt (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2004-09-22 10:28 EDT by Jan Arne Petersen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.6.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-14 05:38:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Arne Petersen 2004-09-22 10:28:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
'/usr/lib/pkgconfig/libexslt.pc' contains '-lgcrypt' in the libraries
and libxslt requires libgcrypt.so.11.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install libxslt-devel and not libgcrypt-devel
2.Try to compile a program which requires libxslt

Additional info:
Comment 1 Daniel Veillard 2004-09-22 11:58:17 EDT
Hum, libexslt requires libgcrypt and only if found at compilation time.
libxslt doesn't require libgcrypt. If you're just linking against 
libxslt it should not be needed.

Comment 2 Jan Arne Petersen 2004-09-22 15:31:36 EDT
You are right it is only required by libexslt (if you use pkg-config
--libs libexslt) and not by libxslt.

The libexslt.pc contains:

Libs: -L${libdir} -lexslt -lxslt  -L/usr/lib -lxml2 -lz -lpthread -lm
-lm  -lgcrypt -lgpg-error

I don't know if that should cause a dependency on libgcrypt-devel (and
Comment 3 Bill Nottingham 2004-09-22 16:02:32 EDT
If it's putting it in the link flags, probably.

Of course, does it really need specified for apps linking against it?
Comment 4 Daniel Veillard 2004-09-22 17:34:42 EDT
Yeah it should be added though I dislike that dependancy. But well
I made the decision to add it upstream so I should live with the
consequences ...
That's why I made it ASSIGNED instead of just dropping the bug :-)
I will have to fix this.

Comment 5 Daniel Veillard 2005-03-14 05:38:44 EST
Okay, fixed in the lastest release,


Note You need to log in before you can comment on or make changes to this bug.